=== debian/control ===
Source: ros-indigo-ecto-pcl
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-nose, ros-indigo-catkin, ros-indigo-ecto, ros-indigo-ecto-ros, ros-indigo-pcl-conversions, ros-indigo-rosunit, ros-indigo-sensor-msgs
Homepage: http://plasmodic.github.io/ecto_pcl
Standards-Version: 3.9.2

Package: ros-indigo-ecto-pcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-ecto, ros-indigo-ecto-ros, ros-indigo-pcl-conversions, ros-indigo-sensor-msgs
Description: Ecto bindings for common PCL functionality.
